import type { CurrentRoute, Route } from "./createRoute";
import type { NavigateOptions } from "./types";
export interface RedirectProps<PathParamKeys extends string = never> extends NavigateOptions<PathParamKeys> {
    to: Route<PathParamKeys> | CurrentRoute;
}
export declare const Redirect: <PathParamKeys extends string = never>({ to: Route, method, ...options }: RedirectProps<PathParamKeys>) => null;
