import type { Location } from "history";
import type { Match, NavigateFxOptions, NavigateOptions, PathParams } from "./types";
export declare const matchPath: <PathParamKeys extends string = never>(pathname: string, path: string) => Match<PathParamKeys> | null;
export declare const getPathname: <PathParamKeys extends string = never>(path: string, params: PathParams<PathParamKeys>) => string;
export declare const getNavigateFxOptions: <PathParamKeys extends string = never>(location: Location, path: string | null, options?: Partial<{
    params: Partial<PathParams<PathParamKeys>>;
    search: string | boolean;
    hash: string | boolean;
    method: import("./types").HistoryMethod;
}>) => NavigateFxOptions;
